package com.ruoyi.mall.domain.Vo;

import com.ruoyi.common.annotation.Excel;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 志愿填报 自主选择 展示vo
 *
 */

public class SchoolMajorVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 学校主键ID */
    private Long schoolId;

    /** 学校名 */
    private String schoolName;

    /** 学校编号 */
    private String schoolNumber;

    /** 院校层次*/
    private String configLevelName;

    /** 标签*/
    private String tags;// 标签id集合
    private List<String> tagList;//标签名集合

    /** 省份名 */
    private String provinceName;

    /** 城市名 */
    private String cityName;

    /** 学校类型名（例：综合类、理工类等）*/
    private String configTypeName;

    /** 办学机构：0-公办，1-民办，3-中外合作办学，4其他 */
    private String schoolInstitution;

    /** 主管部门（教育部、各地市） */
    private String competentDepartment;


    /** 硕士点 */
    private String mastersDegreeDetail;
    /** 博士点 */
    private String doctorateDetail;
    /** 硕士点研究方向 */
    private String mastersDegreeDirection;




    /** 院校录取最低分 */
    private Integer lowestScore;

    /** 院校录取率 */
    private BigDecimal acceptRate;

    /** 录取率百分比展示 */
    private String showAcceptRate;

    /** 录取率类型 */
    private Integer rateType;


    /** 文化分数线 */
    private Integer cultureLowest;

    /** 专业分数线 */
    private Integer majorLowest;


    /** 专业列表*/
    List<MajorItemVo> majorItemVos;



    /** 专业评估 */
    public String contentOne;

    /** 学科评估 */
    public String contentTwo;

    public String getContentOne() {
        return contentOne;
    }

    public void setContentOne(String contentOne) {
        this.contentOne = contentOne;
    }

    public String getContentTwo() {
        return contentTwo;
    }

    public void setContentTwo(String contentTwo) {
        this.contentTwo = contentTwo;
    }

    public String getConfigLevelName() {
        return configLevelName;
    }

    public void setConfigLevelName(String configLevelName) {
        this.configLevelName = configLevelName;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getSchoolNumber() {
        return schoolNumber;
    }

    public void setSchoolNumber(String schoolNumber) {
        this.schoolNumber = schoolNumber;
    }

    public String getTags() {
        return tags;
    }

    public void setTags(String tags) {
        this.tags = tags;
    }

    public List<String> getTagList() {
        return tagList;
    }

    public void setTagList(List<String> tagList) {
        this.tagList = tagList;
    }

    public String getProvinceName() {
        return provinceName;
    }

    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public String getConfigTypeName() {
        return configTypeName;
    }

    public void setConfigTypeName(String configTypeName) {
        this.configTypeName = configTypeName;
    }

    public String getSchoolInstitution() {
        return schoolInstitution;
    }

    public void setSchoolInstitution(String schoolInstitution) {
        this.schoolInstitution = schoolInstitution;
    }

    public String getCompetentDepartment() {
        return competentDepartment;
    }

    public void setCompetentDepartment(String competentDepartment) {
        this.competentDepartment = competentDepartment;
    }



    public String getDoctorateDetail() {
        return doctorateDetail;
    }

    public void setDoctorateDetail(String doctorateDetail) {
        this.doctorateDetail = doctorateDetail;
    }

    public String getMastersDegreeDetail() {
        return mastersDegreeDetail;
    }

    public void setMastersDegreeDetail(String mastersDegreeDetail) {
        this.mastersDegreeDetail = mastersDegreeDetail;
    }

    public String getMastersDegreeDirection() {
        return mastersDegreeDirection;
    }

    public void setMastersDegreeDirection(String mastersDegreeDirection) {
        this.mastersDegreeDirection = mastersDegreeDirection;
    }

    public Integer getLowestScore() {
        return lowestScore;
    }

    public void setLowestScore(Integer lowestScore) {
        this.lowestScore = lowestScore;
    }

    public BigDecimal getAcceptRate() {
        return acceptRate;
    }

    public void setAcceptRate(BigDecimal acceptRate) {
        this.acceptRate = acceptRate;
    }

    public String getShowAcceptRate() {
        return showAcceptRate;
    }

    public void setShowAcceptRate(String showAcceptRate) {
        this.showAcceptRate = showAcceptRate;
    }

    public Integer getRateType() {
        return rateType;
    }

    public void setRateType(Integer rateType) {
        this.rateType = rateType;
    }

    public Integer getCultureLowest() {
        return cultureLowest;
    }

    public void setCultureLowest(Integer cultureLowest) {
        this.cultureLowest = cultureLowest;
    }

    public Integer getMajorLowest() {
        return majorLowest;
    }

    public void setMajorLowest(Integer majorLowest) {
        this.majorLowest = majorLowest;
    }

    public List<MajorItemVo> getMajorItemVos() {
        return majorItemVos;
    }

    public void setMajorItemVos(List<MajorItemVo> majorItemVos) {
        this.majorItemVos = majorItemVos;
    }
}
